**You do not have to wait for me to update the mods within the modpack. You can update them independently, but I do update them typically when I add new mods.**

# Adjustments to vanilla balance included from such mods
### TooManyFriends
- Raises Max Player count to 16 (Configurable)

### RTAutoSprintEx
- Automatically Sprint by default, Hold "Sprint-key" to Walk.

### No Item Pick Up On Collision
- Prevents you from auto picking up items

### Bandit Tweaks
- Primaries
	- Shot radius has been increased to match other bullet skills.
	- You can now hold M1 to autofire.
		- Can be swapped between an accurate slow-firing mode and a rapidfire burst mode by using the Scroll Wheel.
- Secondaries
	- Serrated Dagger now lunges while sprinting and has a bigger hitbox.
	- Serrated Shiv now stuns on hit.
	- Hemorrhage ignores positive armor.
- Utility
	- Fixed Cloak sound persisting if you teleport while cloaked.
	- You can now hold down Shift to activate Smokebomb as soon as it finishes its cooldown.
- Specials
	- Only fires once you release the Special button.
	- No longer cancelled by sprinting.
	- Both specials now have a 1.2s grace period to trigger their on-kill effects, so that they work with Elemental Bands.

### HIFU's Huntress Tweaks
- Passive-ish Changes:
	- 360 Degree Sprint can be enabled in the config
	- Slighty improved Auto-Aim
	- Improved Huntress' Auto-Aim prioritization near crosshair
- M1 Changes:
	- Strafe Damage Coefficient 150% => **220%**.
	- Flurry Damage Coefficient 100% => **140%**.
	- Flurry's Fire Rate 0.7/s => **1/s**.
	- Flurry's Proc Coefficient 0.7 => **1.0**.
	- Flurry fires 3 => **2** Arrows when not Critting.
	- Flurry fires 6 => **4** Arrows when Critting.
	- These changes make Flurry DPS better at ~41% Crit, combined DPS better at ~42% Crit, Flurry PPS always better and Flurry Proc DPS better at ~57% Crit compared to Strafe.```
- M2 Changes:
	- Laser Glaive's Damage Coefficient 250% => **350%**.
	- Laser Glaive's Damage Coefficient Multiplier per Bounce 10% => **2.5%**.
	- Laser Glaive's Proc Coefficient 0.8 => **1.0**.
	- Laser Glaive's Cooldown 7s => **6s**.
	- Laser Glaive's Duration 1.1s => **0.8s**.
	- Laser Glaive's Antigravity Strength 30 => **66**, scales with Duration.
- Utility Changes:
	- Blink's Speed Coefficient 14 => **17**.
	- Blink's Cooldown 7s => **5s**.
	- Phase Blink's Speed Coefficient 15 => **18**.
	- Phase Blink's Max Charges 3 => **2**.
	- Phase Blink's Cooldown 2s => **2.25s**.
- Special Changes:
	- Arrow Rain's Damage Coefficient 110% => **140%**.
	- Arrow Rain's Proc Coefficient 0.2 => **0.6**.
	- Arrow Rain's Cooldown 12s => **9s**.
	- Ballista's Cooldown 12s => **10s**.

### HIFU's Commando Tweaks 
(Modpack v. 1.0.5)
- M2 Changes:
	- Phase Round's Damage Coefficient 300% => **450%**
	- Phase Round is **2x** in size
	- Phase Round knocks back enemies **farther**
	- Phase Round travels **faster**
	- Phase Round has **no** animation.

### Utility Changes:
	- Tactical Dive's Cooldown 4s => **5s**
	- Tactical Dive has **2** charges and replenishes **both** of them at once
	- Tactical Dive grants a **200** Armor buff for **1** second after using it

### Special Changes:
	- Suppressive Fire's Damage Coefficient 100% => **150%**
	- Suppressive Fire's Number of Shots 6 => **8**
	- Suppressive Fire's Fire Rate 6/s => **10/s**
	- Suppressive Fire's Cooldown 9s => **7s**

### MobileTurretBuff
- Gives Engi's Mobile Turrets extra survivability and range.
	- Mobile Turrets now sprint whenever possible, instead of only sprinting when far away.
	- HP Regen values have been increased from 0.6/0.12 to 1/0.2
	- Range increased 25 -> 45

### Reconsume
- Only allow consumed **Power Elixir** to be scrappable
	- Adjust heal strength of the power elixir to 55% max health for balancing
- Removed mod's restoration of consumed items at the beginning of each stage

### Commando Grenade Cooking
- Allows Commando to Cook his Grenade ability.
- Damage increased 700% -> 1200%
- Cooldown increased 5s -> 10s

### ArtiTweaks
- Flamethrower Range increased by a factor of `1.7`
- Add IonSurge to Utility 

### Moffein's Bandit Dynamite Toss
(Modpack v 1.0.6/1.0.7)
- Adds Bandit's classic Dynamite Toss from RoR1 as an alternative skill.

### Acrid Blight Stack Buff 
- Makes new stacks of Blight reset the duration of all Blight stacks.

### Exchange Changes
- Faster printers, faster scrappers, and faster shrines of chance.

### Lunar Wisp Falloff
- Adds falloff for Lunar Wisps

# Yangjo's changes to included mods' default configs include:
### Reconsume
- Allowed PowerElixir as scrap
	- PowerElixir heals 55% instead of 25% of Max Health upon use (Vanilla 75%, Mod's Default 25%)
- Removed Consumed/Destroyed Delicate Watch scrapping (Providing high risk, high reward for the extra damage.)
- Removed mod's restoration of consumed items at the beginning of each stage

### HIFU CommandoTweaks 
- Restored Tactical Dive's Initial and Final Speed coefficients to **Vanilla** Values.
	- Initial Speed Coefficient: 7 -> 5 
	- Final Speed Coefficient: 5 -> 2.5 
- Removed grenade tweaks from mod, in favor of Commando Grenade Cooking mod

### Commando Grenade Cooking
- Restored initial base stock Grenade count to **Vanilla** values 1 -> 2

### Artitweaks 
- Only includes longer Flamethrower range -> 1.7
- Ion Surge additionally added to Utility as an alternative, optional pick.

### BepInExPack
- Removed GUI completely, and removed logging completely to disk, console, etc. to improve modpack's performance. 

### DropInMultiplayer 
(Modpack v. 1.0.8)
- New Chat Commands
	- /join_as Commando - Spawns you in as commando. Change commando with whichever character you'd like
	- /join_as Huntress niwith - Spawns PLAYERNAME "niwith" in as Huntress, replace niwith with whoever you'd like to spawn as huntress/whatever in the names list.	
	- /list_survivors - Lists availible survivors for the /join_as command
	- /help - Lists availible commands
	- /help join_as - Prints the help text for join_as command

# Additional Playable Characters
**Chef**\
**Bandit Classic**\
**HAN-D**\
**Sniper Classic**\
**Enforcer**\
**Nemesis Enforcer**\
**Paladin**\
**Miner**\
**Bomber**

# More Skins for
**Acrid**\
**Artificer**\
**Bandit and Bandit Classic**\
**Captain**\
**Commando**\
**Engineer**\
**Huntress**\
**Loader**\
**Mercenary**\
**Paladin**\
**Railgunner**

# New Artifacts!
(Modpack v. 1.0.4)
**Artifact of Drift:** Stages progress in a random order\
**Artifact of Options:** Regular chests are replaced by Multishop Terminals\
**Artifact of Diluvian:** Significant Difficulty modifier\
**Artifact of Tossing:** Allows players to drop & scrap items (LeftAlt + RMB to scrap)\
**Artifact of the Eclipse:** Enables all Eclipse modifiers\
**Artifact of Escalation:** Monster and interactable types can appear earlier than usual\
**Artifact of Multitudes:** Double player count scaling\
**Artifact of Revival:** Dead players respawn after the boss is defeated\
**Artifact of Instability:** Spending too long in a stage causes a lunar storm\
**Artifact of Bazaar:** Adds a cleansing pool, scrapper, and a void chest to the space Bazaar\
**Artifact of Corruption:** Spawns Lunar Pod on waves 2, 4, 8 and 10. Spawns Void Chest every 5 Waves per player **(SIMULACRUM ONLY)**\
**Artifact of Fortune:** Each player's lunar coin count is raised to 2 million whenever a blue portal spawns\
**Artifact of Greed:** Disables one scavenger bag per stage limit\
**Artifact of Reanimation:** Reanimates dead players at the beginning of a teleporter event\
**Artifact of Summit:** Activates 1 mountain shrine every stage, plus an additional 1 for each completed loop\
**Artifact of Trade:** Start in the Bazaar, & forces the blue portal to spawn every stage\
**Artifact of Potential:** Most items become Void Potentials.

# Changelog
### 1.0.0
- Initial release of the modpack.

### 1.0.1
- Removed unnecessary BetterUnityPlugin

### 1.0.2
- Added MightyWolf's ItemScorePlus version 1.0.1
- Added XoXFaby's BetterUI version 2.5.4 (Forgot)
- Updated UltrakillV1 Bandit Skin to version 1.0.4
- Added significant information about the modpack in Readme/Thunderstore

### 1.0.3
- Added LazyBastardEngineer skin for Engineer

### 1.0.4
- Updated Mods
	- BetterUI -> 2.5.5
	- ItemScorePlus -> 1.0.3, 
	- BanditReloaded -> 4.1.1
	- PaladinMod -> 1.5.8
- Added new Artifact mods
	- Artifact_of_Drift 1.0.1
	- Artifact_of_Potential 1.1.2
	- DiluvianArtifact 1.1.0
	- ShopsOnly 3.0.3
	- ArtifactEnsemble 2.1.1
	- ZetArtifacts 1.3.1
		- Be wary of potential incompatibility issues between different artifacts from different mods.

### 1.0.5
- Updated Mods
	- R2API 4.2.1 -> 4.3.2
	- BetterUI 2.5.3 -> 2.5.6
- Added new Mods
	- HIFUCommandoTweaks 1.0.0
	- Gupmando skin for Commando 1.0.1
- Rebalanced configs
	- HIFU's Commando Tweaks
		- Restored Tactical Dive's Initial and Final Speed coefficients to **Vanilla** Values.
		- Removed grenade tweaks from mod, in favor of Commando Grenade Cooking mod
	- Commando Grenade Cooking
		- Changed initial base stock of Grenades back to vanilla count 1 -> 2

### 1.0.6
- Updated Mods
	- ArtifactEnsemble 2.1.1 -> 2.1.2
	- Artifact_of_Potential 1.1.2 -> 1.2.0
	- Commando_Grenade_Cooking 1.0.0 -> 1.1.1
	- MinerUnearthed 1.6.8 -> 1.6.9
	- Enforcer 3.3.7 -> 3.3.8
- Added Mods
	- PirateCaptain skin for Captain 1.1.2

### 1.0.7 
- Forgot to include mod in Readme!
- Added Mods
	- Moffein-Bandit_Dynamite_Toss 1.0.7 

### 1.0.8
- Updated Mods
	- R2API 4.3.2 -> 4.3.5
	- Drop In Multiplayer 1.0.22 -> 2.0.0
	- Artifact of Potential 1.2.0 -> 1.2.1
	- Moffein's Bandit_Dynamite_Toss 1.0.7 -> 1.0.8
	- Zet Artifact 1.3.1 -> 1.3.2
	- Diluvian Artifact 1.1.0 -> 1.1.1
	- Sniper Classic 1.0.10 -> 1.0.11
	- Better UI 2.5.6 -> 2.5.9
- Reset config for DropInMultiplayer
	- New Chat Commands
		- /join_as Commando - Spawns you in as commando.
		- /join_as Huntress niwith - Spawns niwith in as Huntress, replace niwith with whoever you'd like to spawn as huntress/whatever in the names list.	
		- /list_survivors - Lists availible survivors for the join_as command
		- /help - Lists availible commands
		- /help join_as - Prints the help text for join_as command


# Thank you to the following modders for creating the mods included in the modpack!

**bbepis, tristanmcpherson, Catsune, dotflare, ImKyle4815, AcidAssassin, zombieseatflesh7, William758, NekuSoul, KingEnderBrine, bobblet, Foldex,** The **EnforcerGang, DestroyedClone, Moffein, niwith, NotTsunami, JohnEdwa, dan8991iel, jiejasonliu, Flyingcomputer,** The **Paladin_Alliance, Rune580, Gatorism, Dragonyck, Liamono, wildbook, RetroInspired, HIFU, eyeknow, 12GaugeAwayFromFace, Gnome, RiskofThunder, XoXFaby, duckduckgreyduck** and **MightyWolf**


